Skip to main content
GET
/
api
/
v1
/
git
/
installations
/
search
Search Git Installations
curl --request GET \
  --url https://app.all-hands.dev/api/v1/git/installations/search \
  --header 'X-Access-Token: <api-key>'
{
  "items": [
    "<string>"
  ],
  "next_page_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

provider
enum<string>
required
Available options:
github,
gitlab,
bitbucket,
bitbucket_data_center,
forgejo,
azure_devops,
enterprise_sso
page_id
string | null
limit
integer
default:100
Required range: x <= 100

Response

Successful Response

Paginated response for installations.

Attributes: items: List of installation IDs. next_page_id: ID for the next page, or None if there are no more pages.

items
string[]
required
next_page_id
string | null